PDA

View Full Version : [SOLVED] Can't Install (HL2:DM Update)



Hovercat
Oct 03, 2010, 01:36 PM
I can't install SourceOP.

I'm using Linux.

I installed everything properly, I installed the addons folder in hl2mp, and put the binaries in the bin folder in orangebox.

The plugin will not load. The VDF is in the addons folder.

I've tried loading it manually through plugin_load, no luck.

speedreunion
Oct 03, 2010, 03:24 PM
Same problem. No sign of sourceop well loaded.

Hovercat
Oct 03, 2010, 03:32 PM
I'm talking with Drunken_F00l in the IRC now with the same problem.

irc://irc.gamesurge.net/sourceop

Drunken F00l
Oct 03, 2010, 03:35 PM
There is a problem in the zip file which affects Linux installation. The sourceop_i486.so file should be named sourceop.so. I'm going to fix the zip file. You can just rename the so file and it should start working.

speedreunion
Oct 03, 2010, 04:44 PM
Sorry. I tried to rename it but it doesn't work too.

Drunken F00l
Oct 03, 2010, 04:54 PM
What distribution of linux (redhat, centos, ubuntu, etc.) is installed on the server?

Is this a new installation of SourceOP or are you attempting to use old files?

speedreunion
Oct 03, 2010, 05:31 PM
The server is installed on a debian machine. And I use the new orangebox release of sourecop.

(for the game hl2dm)

Drunken F00l
Oct 03, 2010, 08:54 PM
Do you have shell access? Can you try the tip mentioned here:
http://www.sourceop.com/wiki/Installing#Troubleshooting_Linux_Installation

speedreunion
Oct 04, 2010, 04:51 AM
Sorry no shell access :cry:

speedreunion
Oct 04, 2010, 06:28 PM
:?:

Drunken F00l
Oct 04, 2010, 07:09 PM
:!:


You're most likely missing libssl or something or it's not on disk where SourceOP expects it to be. Contact your host and ask them or maybe ask them to perform that trouble shooting step I liked you to. Otherwise, I can't really assist any more.

DaRk56
Oct 05, 2010, 05:02 PM
Add +plugin_load sourceop in line launch ssh in place of. vdf


./srcds_run -game hl2mp +maxplayers 16 +map build_hotel_b2 -port 27615 -tickrate 33 +ip xx.xx.xxx.xxx +plugin_load sourceop

Sorry Bad English, i'm french :?

urMom
Oct 07, 2010, 02:44 AM
Indeed, it is looking for libssl.so.6.. strange rev considering Open is 0.9.8.. symlinked, good to go.

Now, if only it would make up its mind.. ingame reports logged on as admin yet no commands are available.. but that's a different problem. :P